# List UK8S Node Pools - ListUK8SNodeGroup

## Overview

List UK8S Node Pools






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUK8SNodeGroup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ClusterId** | string | Cluster ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **NodeGroupList** | array[[*NodeGroupSet*](#nodegroupset)] | Node Pool List |No|

#### Data Model


#### NodeGroupSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **NodeGroupId** | string | Node Pool ID |No|
| **NodeGroupName** | string | Node Pool Name |No|
| **NodeNamePrefix** | string | The custom Uhost instance name prefix. The full custom Uhost instance name should be {NodeNamePrefix}-{NodeIP}. |No|
| **ImageId** | string | Image ID |No|
| **MachineType** | string | Machine Type |No|
| **MinimalCpuPlatform** | string | CPU Platform |No|
| **UHostFamily** | string | UHost Family |No|
| **CPU** | int | Number of Virtual CPU Cores |No|
| **Mem** | int | Memory Size |No|
| **GpuType** | string | GPU Type |No|
| **GPU** | int | Number of GPU Card Cores |No|
| **BootDiskType** | string | System Disk Type |No|
| **BootDiskSize** | int | System Disk Size |No|
| **DataDiskSize** | int | Data Disk Size |No|
| **DataDiskType** | string | Data Disk Type |No|
| **Tag** | string | Business Group |No|
| **ChargeType** | string | Payment Method |No|
| **NodeList** | array[string] | Node ID List |No|
| **SubnetId** | string | Subnet ID. Defaults to the subnet ID entered when the cluster was created, but you can also enter the subnet ID within the same VPC as the cluster. |No|
| **IsolationGroupId** | string | Hardware isolation group ID. It can be obtained through DescribeIsolationGroup. |No|
| **MaxPods** | int | int<br />Default is 110, it is recommended to set it to 110 or less in a production environment. |No|
| **UserData** | string | User-defined data. This field can be filled in when the image supports the Cloud-init Feature. Note: 1. The total data size should not exceed 16K; 2. Use base64 encoding. |No|
| **InitScript** | string | User-defined Shell scripts. The difference from UserData is that InitScript is executed after the node initialization is complete, while UserData is executed during the initialization of the UHost. |No|
| **Taints** | string | Node taint, in the form of key=value:effect, multiple taints separated by ",". Supports up to five groups. |No|
| **Labels** | string | Node label. In the form of key=value, separated by "," for multiple groups, up to 5 groups. For example, env=pro,type=game |No|
| **SecGroupId** | array[[*SecGroupId*](#secgroupid)] | Node security group id. |No|
| **SecurityMode** | string | Host Security Mode. Firewall: Firewall; SecGroup: Security Group; Default Value: Firewall. |No|
| **SecurityGroupId** | string | Firewall ID, default: Web Recommended Firewall. For information on how to query SecurityGroupId, please refer to [DescribeFirewall](api/unet-api/describe_firewall.html). |No|
| **NetworkInterface** | array[[*NetworkInterface*](#networkinterface)] | Node Network Interface Config |No|
| **KubeletConfiguration** | [*KubeletConfiguration*](#kubeletconfiguration) | KubeletConfiguration |No|
| **ImageName** | string | Image Name |No|
| **ImageType** | string | Image Type |No|
| **OsType** | string | Os Type |No|
| **OsName** | string | Os Name |No|
| **NetCapability** | string | NetCapability |No|
| **UNIFeature** | boolean | UNI Feature |No|
| **Disks** | array[[*DiskSet*](#diskset)] | Disks |No|
| **RelatedAsg** | array[string] | RelatedAsg |No|
| **CreateTime** | int | CreateTime |No|
| **UpdateTime** | int | UpdateTime |No|

#### SecGroupId

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Id** | string | Security Group Name |No|
| **Name** | string | Security Group ID |No|
| **Priority** | string | Security Group Priority |No|

#### NetworkInterface

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **EIP** | [*EIP*](#eip) | EIP |No|

#### KubeletConfiguration

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ContainerLogMaxFiles** | int | Container Log Max Files |No|
| **ContainerLogMaxSize** | string | Container Log Max Size |No|
| **EvictionHard** | [*EvictionCondition*](#evictioncondition) | Hard Eviction Condition |No|
| **EvictionSoft** | [*EvictionCondition*](#evictioncondition) | Soft Eviction Condition |No|
| **EvictionSoftGracePeriod** | [*EvictionCondition*](#evictioncondition) | Grace Period for Soft Eviction |No|
| **ImageGCHighThresholdPercent** | int | Percentage Threshold to start Image GC  |No|
| **ImageGCLowThresholdPercent** | int | Percentage Threshold to stop Image GC |No|
| **KubeReserved** | [*ReservedResource*](#reservedresource) | Kubelet Reserved Resource |No|
| **SystemReserved** | [*ReservedResource*](#reservedresource) | System Reserved Resource |No|
| **MaxPods** | int | max pods |No|

#### DiskSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Type** | string | Disk Type. System Disk: Boot, Data Disk: Data, Network Disk: Udisk |No|
| **DiskId** | string | Long Disk ID |No|
| **Name** | string | UDisk Name (only returned when the disk is UDisk) |No|
| **Drive** | string | Disk Drive Letter |No|
| **Size** | int | Disk size, unit: GB |No|
| **BackupType** | string | Backup plan, enumeration type: BASIC_SNAPSHOT, ordinary snapshot; DATAARK, Ark. If there is no snapshot, this field will not be returned. |No|
| **IOPS** | int | The current IOPS value of the host |No|
| **Encrypted** | string | Yes: Encrypted No: Unencrypted |No|
| **DiskType** | string | LOCAL_NORMAL\| CLOUD_NORMAL\| LOCAL_SSD\| CLOUD_SSD\|EXCLUSIVE_LOCAL_DISK |No|
| **IsBoot** | string | True\| False |No|

#### EvictionCondition

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **MemoryAvailable** | string | Memory Available |No|
| **ImagefsAvailable** | string | Image fs Available |No|
| **NodefsAvailable** | string | Node fs Available |No|
| **NodefsInodesFree** | string | Node fs Inodes Free |No|

#### ReservedResource

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **CPU** | string | CPU |No|
| **Memory** | string | Memory |No|
| **EphemeralStorage** | string | Ephemeral Storage |No|
| **Pid** | string | Pid |No|

#### EIP

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Bandwidth** | int | [If EIP is bound, this parameter is required] The bandwidth of the Elastic IP in the public network, in Mbps. Shared bandwidth mode must specify 0M bandwidth, non-shared bandwidth mode must specify non-0Mbps bandwidth. The bandwidth range of non-shared bandwidth in various regions is as follows: Traffic billing [1-300], Bandwidth billing [1-800] |No|
| **PayMode** | string | Billing mode of Elastic IP. Enumerated values: "Traffic", traffic billing; "Bandwidth", bandwidth billing; "ShareBandwidth", shared bandwidth mode. "Free": Free bandwidth mode, default is "Bandwidth". |No|
| **ShareBandwidthId** | string | The ID of the bound shared bandwidth, effective only when PayMode is set to ShareBandwidth. |No|
| **OperatorName** | string | [If EIP is bound, this parameter is required] The line of the Elastic IP. Enumeration value: International: International BGP: Bgp. The line parameters allowed in each region are as follows: cn-sh1: Bgp cn-sh2: Bgp cn-gd: Bgp cn-bj1: Bgp cn-bj2: Bgp hk: International us-ca: International th-bkk: International kr-seoul: International us-ws: International ge-fra: International sg: International tw-kh: International. All other overseas lines are International |No|
| **CouponId** | string | The current EIP coupon id. Please query through the DescribeCoupon interface, or log in to the user center to view. |No|

## Example

### Request Example
    
```
https://api.netlake.cn/?Action=ListUK8SNodeGroup
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=wVpiDplE
&ClusterId=RXIkKKuX
&TopOrgId=8
&OrgId=4
&AzGroup=5
```

### Response Example
    
```json
{
  "Action": "ListUK8SNodeGroupResponse",
  "NodeGroupList": [
    {
      "BootDiskType": "ceGeUMIV",
      "CPU": 6,
      "ChargeType": "addNhDvH",
      "DataDiskSize": 8,
      "DataDiskType": "qqncHfyc",
      "GPU": 7,
      "GpuType": "neHNFfsx",
      "ImageId": "PVoCRmtW",
      "MachineType": "GJXNpRmz",
      "Mem": 7,
      "MinimalCpuPlatform": "uEqOcnpP",
      "NodeGroupId": "ayLygrGZ",
      "NodeGroupName": "svwqEVOH",
      "NodeList": "ndxnQQhO",
      "Tag": "XUcqKwjh"
    }
  ],
  "RetCode": 0
}
```





